On Tue, Feb 26, 2013 at 12:12 PM, Stephan Richter
<stephan.rich...@gmail.com> wrote:

> Is anyone here willing to start a buildbot using Python 3.3 to test the ZTK?

I created a buildbot (the 1.1 branch) two months ago[1]:

Ready to launch a new one with ZTK 1.2 / 2.0 / whatever. In the same
time, i test regularly the Zope3 packages in my own way[2] (testing
with mr.developer is cool but I want to test "official" packages on
the PyPI) . A bit hard 'cause:

1. Some essential packages are broken (ZODB, zope.app.wsgi,
zope.index). It's a pain to "simulate" the missing packages.

2. z3c.recipe.compattest and zc.recipe.testrunner doesn't work with Buildout 2.

>> - Add support for Python 3.x (either 3.3 or 3.2 and 3.3)
> Since I was unwilling to change all u'...' to u('...'), most packages
> currently only have Python 3.3 support. By the time ZTK 2.0 will be released,
> I think most people will have switched to Python 3.3.


>> - Drop all zope.app packages from the KGS (most were deprecated in ZTK 1.1)
> Some of the zope.app packages (the ones not deprecated) should stay or simply
> be renamed to not being called zope.app.*.

All? In my mind, some zope.app are essentials like zope.app.wsgi,
zope.app.appsetup or zope.app.testing.

> We will also need to add a few packages, such as BTrees, persistent,
> transaction, etc. and deprecate/remove some others like zope.broken,
> zope.untrustedpython, zope.fixers, and zope.apidoc.

Can you tell me what is missing or deprecated in this list ?

[1] https://mail.zope.org/pipermail/zope-dev/2012-December/044964.html
[2] https://github.com/sdouche/zopetoolkit-py3.3

Sebastien Douche <sdou...@gmail.com>
Twitter: @sdouche / G+: +sdouche
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists -
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to